Doomsday Engine - Bug #2147

[Doom] Doom2/TNT/Plutonia/HacX title loop mistake
2016-01-14 20:51 - vermil

Status: Closed Start date: 2016-01-14
Priority: Low % Done: 100%
Assignee: skyjake

Category: Vanilla emulation

Target version: 2.1 (Late 2018)

Description

In the title loops for the Doom2 based games, MusicOnce is only used for the first time the title pic is displayed.

A standard Music command is erroneously used the second time the title pic is displayed. It needs to be changed to MusicOnce as
well, to imitate the original games; this is very noticeable with TNT where the title music loops as a result.

Also, a little observation regarding Vanilla Doom's title loops; they appear to show that the engine doesn't appear to stop the level
music playing during a demo until an actual call to change the track is called (i.e the music from the level played in the demo will play
over the CREDIT screen in the Vanilla Doom title loops).

As Dday currently has no demos for any game, this isn't information relevant to Dday, but it's something to keep in mind should Dday
ever get demos for the title loops.

Associated revisions

Revision c4f175a0 - 2018-10-27 15:49 - skyjake

Fixed|Doom: Music looping in title screen

IssuelD #2147

History

#1 - 2016-01-14 20:58 - vermil

This could probably be grouped with this inaccuracy regarding the help infine in Dday: http:/tracker.dengine.net/issues/1734

#2 - 2016-03-27 07:50 - skyjake
- Tags changed from Doom, InFine, emulation to Doom, InFine

- Category set to Vanilla emulation

#3 - 2017-04-03 15:03 - skyjake
- Target version set to 2.1 (Late 2018)

#4 - 2018-10-27 15:50 - skyjake
- Status changed from New to Resolved
- Assignee set to skyjake

- % Done changed from 0 to 100

#5 - 2018-10-27 15:50 - skyjake

- Priority changed from Normal to Low

#6 - 2018-11-05 19:15 - skyjake

- Status changed from Resolved to Closed
